@use '../utils/variables' as var;
@use '../utils/mixins';

.header {
    background-color: var.$navcolor;
}

.header__wrapper {
    @include mixins.wrapper;
}

.header__logo {
    margin-top: 20px;
    margin-left: 15px;
}

.logo {
    display: inline-block;
    text-decoration: none;

    &:hover {
        opacity: 0.7;
    }

    @media (max-width: 992px) {
        width: 200px;
    }

    @media (max-width: 768px) {
        padding-bottom: 20px;
    }
}

.navigation {
    display: flex;
    justify-content: flex-end;
    margin-top: -50px;
    margin-right: 15px;
    padding-bottom: 0.375em;

    @media (max-width: 992px) {
        margin-top: -40px;
    }
}

.navigation__list {
    list-style: none;
    display: inline-flex;
    align-items: center;

    @media (min-width: 768px) {
        display: inline-flex !important;
    }

    @media (max-width: 768px) {
        display: none;
        padding-left: 20px;
        margin-right: auto;
        margin-top: 30px;
    }
}

.navigation__item {
    margin-left: 2.102vw;

    @media (max-width: 768px) {
        margin-top: 5px;
    }
}

.navigation__link {
    color: var.$textcolor;
    text-decoration: none;
    font-weight: var.$font-extra-bold;
    font-size: 1.25em;

    &:hover {
        opacity: 0.7;
        text-decoration: none;
        color: var.$textcolor;
    }

    &--hidden {
        display: none;

        @media (max-width: 768px) {
            display: block;
        }
    }

    @media (max-width: 992px) {
        font-size: 1em;
    }

    @media (max-width: 768px) {
        font-size: 1.4em;
    }
}

.navigation__icon {
    width: 2.5em;
    height: 2.5em;

    @media (max-width: 768px) {
        display: none;
    }
}

.navigation__burger {
    display: none;
    padding: 0;
    border: none;
    color: inherit;
    background-color: transparent;

    @media (max-width: 768px) {
        display: flex;
        margin-top: -20px;
        margin-right: -10px;
        padding-bottom: 5px;
    }
}

.burger__icon {
    width: 70px;
    padding-bottom: 7px;
}